org.eclipse.mat.ui.util

## Class QueryContextMenu

- java.lang.Object
- - org.eclipse.mat.ui.util.QueryContextMenu

    public class QueryContextMenu
    extends Object

### Nested Class Summary

Nested Classes
`static class` `QueryContextMenu.QueryAction`

### Constructor Summary

Constructors
Constructor and Description
`QueryContextMenu(AbstractEditorPane pane, ContextProvider provider)`
`QueryContextMenu(AbstractEditorPane pane, QueryResult result)`
`QueryContextMenu(MultiPaneEditor editor, ContextProvider provider)`
`QueryContextMenu(MultiPaneEditor editor, QueryResult result)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addContextActions(PopupMenu manager, IStructuredSelection selection, Control control)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueryContextMenu

    public QueryContextMenu(AbstractEditorPane pane,
                            QueryResult result)

#### QueryContextMenu

    public QueryContextMenu(MultiPaneEditor editor,
                            QueryResult result)

#### QueryContextMenu

    public QueryContextMenu(MultiPaneEditor editor,
                            ContextProvider provider)

#### QueryContextMenu

    public QueryContextMenu(AbstractEditorPane pane,
                            ContextProvider provider)

### Method Detail

#### addContextActions

    public final void addContextActions(PopupMenu manager,
                                        IStructuredSelection selection,
                                        Control control)